MDVA-2008:102 : mkinitrd

2009-04-23T00:00:00
ID MANDRIVA_MDVA-2008-102.NASL
Type nessus
Reporter Tenable
Modified 2018-07-19T00:00:00

Description

This mkinitrd update fixes issues with systems using dmraid. It makes sure that the modules for the disk controllers used by a dmraid array are included in the initrd.

                                        
                                            #%NASL_MIN_LEVEL 70103

#%NASL_MIN_LEVEL 99999
# @DEPRECATED@
#
# This script has been deprecated as the associated patch is not
# currently a security fix.
#
# Disabled on 2012/09/06.
#

#
# (C) Tenable Network Security, Inc.
#
# This script was automatically generated from
# Mandriva Linux Security Advisory MDVA-2008:102.
#

if (!defined_func("bn_random")) exit(0);

include("compat.inc");

if (description)
{
  script_id(36737);
  script_version ("1.9");
  script_cvs_date("Date: 2018/07/19 20:59:14");

  script_name(english:"MDVA-2008:102 : mkinitrd");
  script_summary(english:"Checks for patch(es) in 'rpm -qa' output");

  script_set_attribute(attribute:"synopsis", value: 
"The remote Mandriva host is missing one or more security-related
patches.");
  script_set_attribute(attribute:"description", value:
"This mkinitrd update fixes issues with systems using dmraid. It makes
sure that the modules for the disk controllers used by a dmraid array
are included in the initrd.");
  script_set_attribute(attribute:"see_also", value:"http://www.mandriva.com/security/advisories?name=MDVA-2008:102");
  script_set_attribute(attribute:"solution", value:"Update the affected package(s).");
  script_set_attribute(attribute:"risk_factor", value:"High");
  script_set_attribute(attribute:"patch_publication_date", value:"2008/07/02");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:mandriva:linux");
  script_set_attribute(attribute:"plugin_type", value:"local");
 script_set_attribute(attribute:"plugin_publication_date", value: "2009/04/23");
  script_end_attributes();
 
  script_category(ACT_GATHER_INFO);
  script_family(english:"Mandriva Local Security Checks");
 
  script_copyright(english:"This script is Copyright (C) 2009-2018 Tenable Network Security, Inc.");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/Mandrake/release", "Host/Mandrake/rpm-list");

  exit(0);
}

# Deprecated.
exit(0, "The associated patch is not currently a security fix.");


include("global_settings.inc");
include("rpm.inc");

if (!get_kb_item("Host/local_checks_enabled")) exit(0, "Local checks are not enabled.");
if (!get_kb_item("Host/Mandrake/release")) exit(0, "The host is not running Mandrake Linux.");
if (!get_kb_item("Host/Mandrake/rpm-list")) exit(1, "Could not get the list of packages.");

flag = 0;

if (rpm_check(reference:"libbdevid-python-6.0.37-2.1mnb1", release:"MDK2008.1", cpu:"i386", yank:"mdk")) flag++;
if (rpm_check(reference:"mkinitrd-6.0.37-2.1mnb1", release:"MDK2008.1", cpu:"i386", yank:"mdk")) flag++;
if (rpm_check(reference:"mkinitrd-devel-6.0.37-2.1mnb1", release:"MDK2008.1", cpu:"i386", yank:"mdk")) flag++;
if (rpm_check(reference:"nash-6.0.37-2.1mnb1", release:"MDK2008.1", cpu:"i386", yank:"mdk")) flag++;

if (rpm_check(reference:"libbdevid-python-6.0.37-2.1mnb1", release:"MDK2008.1", cpu:"x86_64", yank:"mdk")) flag++;
if (rpm_check(reference:"mkinitrd-6.0.37-2.1mnb1", release:"MDK2008.1", cpu:"x86_64", yank:"mdk")) flag++;
if (rpm_check(reference:"mkinitrd-devel-6.0.37-2.1mnb1", release:"MDK2008.1", cpu:"x86_64", yank:"mdk")) flag++;
if (rpm_check(reference:"nash-6.0.37-2.1mnb1", release:"MDK2008.1", cpu:"x86_64", yank:"mdk")) flag++;


if (flag)
{
  if (report_verbosity > 0) security_hole(port:0, extra:rpm_report_get());
  else security_hole(0);
  exit(0);
}
else 
{
  exit(0, "The host is not affected.");
}